
### 服务介绍

#### 目的
- 该服务使用springboot框架进行开发，用于基于在论策web引擎二次开发包使用授权服务。

#### 要点

- 授权主要采用接口调用方式，确认是否赋予用户权限，接口详情见下方“接口”
- 由使用方向论策申请使用key值，以及登记使用的IP地址或域名。
- 在初始化web引擎时，会自动调取授权服务，认证是否被授权使用。
- 每个申请相关授权时，会授予相应的过期时间。
- 对外提供的试用版本有效期一律按照2个月进行授权。
- 每次授权时需要重新打包服务版本，并进行授权。

### 接口

- 地址：http://ip:port/verify/verify
- 请求方式：post
- 请求参数：
  - key（由使用方进行申请，论策提供的固定的key值）
  - address（web服务器ip地址或域名地址）

- 响应参数：响应参数为int类型参数，200为成功，其他均为失败，详见附件


### 附件

#### 响应值

- ```java
      // 成功
      private int SUCCEED = 200;
      // 未授权
      private int NO_ACTIVATE = 201;
      // 字段错误
      private int PARAM_ERROR = 202;
      // 过期失效
      private int LOSE_ACTIVATE = 300;
  ```

